/* ---------- Global Reset ---------- */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  font-family:'Poppins',sans-serif;
  background:#fff8f3;
  color:#333;
  line-height:1.6;
}

/* ---------- Sections ---------- */

section{
  padding:60px 20px;
  max-width:1200px;
  margin:auto;
  text-align:center;
}

/* ---------- Hero ---------- */

.hero{
  height:100vh;
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
  text-align:center;
  color:white;
  background-color:rgba(0,0,0,0.4);
  background-blend-mode:multiply;
  background-image:url("../images/hero.jpg");
  background-size:cover;
  background-position:center;
}

.hero h1{
  font-size:3rem;
}

/* ---------- Buttons ---------- */

.btn{
  display:inline-block;
  margin-top:20px;
  padding:10px 20px;
  background:#e76f51;
  color:white;
  text-decoration:none;
  border-radius:25px;
}

.sticky-order{     /*Makes order now button visible at all times*/
  position:fixed;
  bottom:0;
  left:0;
  width:100%;
  background:#e76f51;
  color:white;
  text-align:center;
  padding:15px;
  font-weight:bold;
  text-decoration:none;
  display:none;
}

@media (max-width:768px){

.sticky-order{
  display:block;
}

}

/* ---------- Product Grid ---------- */

.grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:25px;
  margin-top:30px;
}

/* ---------- Cards ---------- */

.card{
  background:white;
  border-radius:10px;
  padding:20px;
  box-shadow:0 5px 15px rgba(0,0,0,0.1);
  transition:all 0.3s ease;
  cursor:pointer;
  transition:transform 0.2s;
}

.card:hover{
  transform:translateY(-10px) scale(1.02);
  box-shadow:0 12px 25px rgba(0,0,0,0.2);
}

/* ---------- Images ---------- */

.card img{
  width:100%;
  height:200px;
  object-fit:cover;
  border-radius:8px;
  margin-bottom:10px;
}

/* ---------- Text ---------- */

.price{
  font-weight:bold;
  color:#e76f51;
}

/* ---------- Gallery ---------- */

.gallery img{
  width:100%;
  border-radius:10px;
}

/* ---------- Footer ---------- */

footer{
  padding:20px;
  text-align:center;
  background:#e76f51;
  color:white;
}

/* ---------- Mobile ---------- */

@media (max-width:600px){

  .hero h1{
    font-size:2.2rem;
  }

  .card img{
    height:160px;
  }

}